Package org.eclipse.birt.report.model.api

# Class DesignConfig

java.lang.Object
org.eclipse.birt.core.framework.PlatformConfig
org.eclipse.birt.report.model.api.DesignConfig

All Implemented Interfaces:
  `org.eclipse.birt.core.framework.IPlatformConfig`, `IDesignConfig`

public class DesignConfig extends org.eclipse.birt.core.framework.PlatformConfig implements IDesignConfig
Wraps around configuration settings for design engine. Allows engine to provide customized implementations for image handling, hyperlink handling and font handling, etc.

## Field Summary

### Fields inherited from class org.eclipse.birt.core.framework.PlatformConfig

`properties`

### Fields inherited from interface org.eclipse.birt.report.model.api.IDesignConfig

`RESOURCE_LOCATOR`

### Fields inherited from interface org.eclipse.birt.core.framework.IPlatformConfig

`BIRT_HOME, OSGI_ARGUMENTS, OSGI_CONFIGURATION, PLATFORM_CONTEXT, TEMP_DIR`

## Constructor Summary

Constructors
Constructor
Description
`DesignConfig()`
constructor

## Method Summary

Modifier and Type
Method
Description
`HashMap`
`getConfigMap()`
returns a hash map that contains all the configuration objects
`IResourceLocator`
`getResourceLocator()`
`void`
`setConfigurationVariable(String name, String value)`
sets a configuration variable that is available through scripting in engine
`void`
`setResourceLocator(IResourceLocator resourceLocator)`

### Methods inherited from class org.eclipse.birt.core.framework.PlatformConfig

`getBIRTHome, getOSGiArguments, getOSGiConfig, getPlatformContext, getProperties, getProperty, getTempDir, setBIRTHome, setOSGiArguments, setOSGiConfig, setPlatformContext, setProperty, setTempDir`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DesignConfig

public DesignConfig()
constructor

## Method Details

### setConfigurationVariable

public void setConfigurationVariable(String name, String value)
sets a configuration variable that is available through scripting in engine

Parameters:
  `name` - configuration variable name
  `value` - configuration variable value

### getConfigMap

public HashMap getConfigMap()
returns a hash map that contains all the configuration objects

Returns:
  the configuration object map

### getResourceLocator

public IResourceLocator getResourceLocator()

Returns:
  the resourceLocator

### setResourceLocator

public void setResourceLocator(IResourceLocator resourceLocator)

Parameters:
  `resourceLocator` - the resourceLocator to set